# docker image for lava server
## Requirements

| Description | Status | comment |
| -------- | -------- | -------- |
| image based on official debian:9 | ready | |
| lava version 2018.02 | ready | |
| usage of postgresql | open | optional|
| single image for lava server and lava worker | open | optional|
| shell script to start / stop lava services in correct order | open | optional|
| shell script to backup / store lava server related config files and database | open | store data in volume backup|
| usage of seperate image for postsql | open | optional|






build lava container

## Build Container from dockerfile
docker build -t lava-srv .

## Bookmarks:
* https://validation.linaro.org/static/docs/v2/installing_on_debian.html#debian-installation
* https://github.com/WindRiver-OpenSourceLabs/lava-base
* https://github.com/kernelci/lava-docker

