#!/bin/bash

# start sugarcrm

set -x

# generate and start mysql container
docker pull mysql:5.5
docker run --volume /media/data/docker/sugarcrm_Ubuntu12.02/mysql:/var/lib/mysql --env MYSQL_ROOT_PASSWORD=12345 --name sugarcrm_mysql --hostname sugarmysql --detach mysql:5.5 
docker build -t sugarcrm-app .

# start apache & php & ssh
docker run --volume /media/data/docker/sugarcrm_Ubuntu12.02/SugarCE-Full-6.5.26:/var/www/html/ --detach --publish 80:80 --publish 3333:22 --hostname sugarcrm --link sugarcrm_mysql --name sugarcrm_www sugarcrm-app 

# show container
set +x
docker container ls
echo docker exec -it sugarcrm_www bash

